#!/usr/bin/env bash

bold=$(tput bold)      # ${bold}
normal=$(tput sgr0)    # ${normal}
yellow=$(tput setaf 3) # ${yellow}

# Zenity ablak megjelenítése
user_choice=$(zenity --list --radiolist --width='650' --height='370' \
  --title="Válaszd ki a nyelvet és a GPU-t!" \
  --text="Válassz az alábbi opciók közül:" \
  --column="Válassz" --column="GPU - Rendszer nyelv" \
   FALSE "English Language"  \
   FALSE "Magyar Nyelv")
if [[ $? -eq 1 ]]; then
   echo ${bold}${yellow}A script futása leállítva. Kilépés!${normal}
   exit 1
fi

  if [[ $user_choice = *"English Language"* ]]; then
  
  # Wayland Auto-Enable
  echo
  echo ---------------------------------------------
  echo ${bold}${yellow}Started English Backup script${normal}
  echo
    sudo cp -a rave-pp /usr/share/pixmaps/faces/
    sudo cp -a .mozilla /home/$USER/
  echo
  echo ${bold}${yellow}English Backup script finished.${normal}
  echo ---------------------------------------------
  echo

  if [[ $user_choice = *"Magyar Nyelv"* ]]; then
  
  # Wayland Auto-Enable
  echo
  echo ---------------------------------------------
  echo ${bold}${yellow}Magyar backup script indítva.${normal}
  echo
    sudo cp -a rave-pp /usr/share/pixmaps/faces/
    sudo cp -a .mozilla /home/$USER/
  echo
  echo ${bold}${yellow}Magyar backup script befejezve.${normal}
  echo ---------------------------------------------
  echo
fi


# Script end

echo ${bold}${yellow}The system will restart in 3 seconds...${normal}
echo ${bold}${yellow}3...${normal}
sleep 1
echo ${bold}${yellow}2...${normal}
sleep 1
echo ${bold}${yellow}1...${normal}
sleep 1

sudo reboot
